Subject: Re: [PATCH net-next 0/9] mlxsw: Add PTP support for Spectrum-2 and newer ASICs

From: Ido Schimmel <[email-masked]>
Date: Wed, 27 Jul 2022 17:48:36 +0300

On Wed, Jul 27, 2022 at 07:05:43AM -0700, Richard Cochran wrote:
> On Wed, Jul 27, 2022 at 09:23:19AM +0300, Ido Schimmel wrote:
> 
> > Spectrum-2 and newer ASICs essentially implement a transparent clock
> > between all the switch ports, including the CPU port. The hardware will
> > generate the UTC time stamp for transmitted / received packets at the
> 
> The PTP time scale is TAI, not UTC.
> 
> > CPU port, but will compensate for forwarding delays in the ASIC by
> > adjusting the correction field in the PTP header (for PTP events) at the
> > ingress and egress ports.
> 
> If the switch adjusts this automatcally, then the time scale in use is
> not relevant.

It is adjusted automatically by hardware. Software only needs to enable
it.